CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-4000

Cross-site scripting (XSS) vulnerability in the print_textinputs_var function in editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php in FCKeditor 2.6.7 and earlier allows remote attackers to inject arbitrary web script or HTML via textinputs array parameters.
Publish Date : 2012-07-12 Last Update Date : 2017-08-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2522-1 fckeditor - cross site scripting oval:org.mitre.oval:def:18503 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-4000

# Product Type Vendor Product Version Update Edition Language
1 Application Ckeditor Fckeditor 0.8 Beta Version Details Vulnerabilities
2 Application Ckeditor Fckeditor 0.8.5 Beta Version Details Vulnerabilities
3 Application Ckeditor Fckeditor 0.9.0 Beta Version Details Vulnerabilities
4 Application Ckeditor Fckeditor 0.9.1 Beta Version Details Vulnerabilities
5 Application Ckeditor Fckeditor 0.9.2 Beta Version Details Vulnerabilities
6 Application Ckeditor Fckeditor 0.9.3 Beta Version Details Vulnerabilities
7 Application Ckeditor Fckeditor 0.9.4 Beta Version Details Vulnerabilities
8 Application Ckeditor Fckeditor 0.9.5 Beta Version Details Vulnerabilities
9 Application Ckeditor Fckeditor 1.0 Version Details Vulnerabilities
10 Application Ckeditor Fckeditor 1.0 FC Version Details Vulnerabilities
11 Application Ckeditor Fckeditor 1.0 RC1 Version Details Vulnerabilities
12 Application Ckeditor Fckeditor 1.1 Version Details Vulnerabilities
13 Application Ckeditor Fckeditor 1.2 Version Details Vulnerabilities
14 Application Ckeditor Fckeditor 1.2.2 Version Details Vulnerabilities
15 Application Ckeditor Fckeditor 1.2.4 Version Details Vulnerabilities
16 Application Ckeditor Fckeditor 1.3 Version Details Vulnerabilities
17 Application Ckeditor Fckeditor 1.3.1 Version Details Vulnerabilities
18 Application Ckeditor Fckeditor 1.4 Version Details Vulnerabilities
19 Application Ckeditor Fckeditor 1.5 Version Details Vulnerabilities
20 Application Ckeditor Fckeditor 1.6 Version Details Vulnerabilities
21 Application Ckeditor Fckeditor 2.0 RC2 Version Details Vulnerabilities
22 Application Ckeditor Fckeditor 2.0 FC Version Details Vulnerabilities
23 Application Ckeditor Fckeditor 2.0 RC1 Version Details Vulnerabilities
24 Application Ckeditor Fckeditor 2.0 Beta2 Version Details Vulnerabilities
25 Application Ckeditor Fckeditor 2.0 Beta1 Version Details Vulnerabilities
26 Application Ckeditor Fckeditor 2.0 Version Details Vulnerabilities
27 Application Ckeditor Fckeditor 2.0 RC3 Version Details Vulnerabilities
28 Application Ckeditor Fckeditor 2.1 Version Details Vulnerabilities
29 Application Ckeditor Fckeditor 2.1.1 Version Details Vulnerabilities
30 Application Ckeditor Fckeditor 2.2 Version Details Vulnerabilities
31 Application Ckeditor Fckeditor 2.3 Version Details Vulnerabilities
32 Application Ckeditor Fckeditor 2.3 Beta Version Details Vulnerabilities
33 Application Ckeditor Fckeditor 2.3.1 Version Details Vulnerabilities
34 Application Ckeditor Fckeditor 2.3.2 Version Details Vulnerabilities
35 Application Ckeditor Fckeditor 2.3.3 Version Details Vulnerabilities
36 Application Ckeditor Fckeditor 2.4 Version Details Vulnerabilities
37 Application Ckeditor Fckeditor 2.4.1 Version Details Vulnerabilities
38 Application Ckeditor Fckeditor 2.4.2 Version Details Vulnerabilities
39 Application Ckeditor Fckeditor 2.4.3 Version Details Vulnerabilities
40 Application Ckeditor Fckeditor 2.5 Version Details Vulnerabilities
41 Application Ckeditor Fckeditor 2.5 Beta Version Details Vulnerabilities
42 Application Ckeditor Fckeditor 2.5.1 Version Details Vulnerabilities
43 Application Ckeditor Fckeditor 2.6 RC Version Details Vulnerabilities
44 Application Ckeditor Fckeditor 2.6 Beta Version Details Vulnerabilities
45 Application Ckeditor Fckeditor 2.6.1 Version Details Vulnerabilities
46 Application Ckeditor Fckeditor 2.6.2 Version Details Vulnerabilities
47 Application Ckeditor Fckeditor 2.6.3 Version Details Vulnerabilities
48 Application Ckeditor Fckeditor 2.6.3 Beta Version Details Vulnerabilities
49 Application Ckeditor Fckeditor 2.6.4 Version Details Vulnerabilities
50 Application Ckeditor Fckeditor 2.6.4 Beta Version Details Vulnerabilities
51 Application Ckeditor Fckeditor 2.6.4.1 Version Details Vulnerabilities
52 Application Ckeditor Fckeditor 2.6.5 Version Details Vulnerabilities
53 Application Ckeditor Fckeditor 2.6.7 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Ckeditor Fckeditor 53

- References For CVE-2012-4000

http://www.securityfocus.com/bid/54188
BID 54188 FCKEditor 'spellchecker.php' Cross Site Scripting Vulnerability Release Date:2012-08-06
https://exchange.xforce.ibmcloud.com/vulnerabilities/76604
XF fckeditor-spellchecker-xss(76604)
http://www.debian.org/security/2012/dsa-2522
DEBIAN DSA-2522
http://disse.cting.org/blog/2012/06/22/fckeditor-reflected-xss-vulnerability/

- Metasploit Modules Related To CVE-2012-4000

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.